function c = bezier2poly(c) 
% BEZIER2POLY: Taylor (polynomial) form of a Bezier curve
% c = bezier2poly(c) 
% change Bezier control points c(k,:) to Taylor coefficients 

n = size(c,1)-1;
for k=1:n
   c(k+1:end,:) = (n+1-k)*diff(c(k:end,:))/k; 
end 
c = flipud(c);

